Bug 66042 - Glyph fallback affects previous character needelessly
Summary: Glyph fallback affects previous character needelessly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-22 10:01 UTC by Khaled Hosny
Modified: 2013-10-23 09:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Khaled Hosny 2013-06-22 10:01:17 UTC
When glyph fallback kicks in, the previous character is always taken from the fallback font needlessly. This seems to have been introduced in 3b4d361c21a1289b664cbcb9c15751d99ef6348d, but nGraphemeStartPos does not seem right to me, as it is the start of the previous grapheme not the current one.
Comment 1 Caolán McNamara 2013-06-24 15:20:20 UTC
that's definitely not what I want to happen
Comment 2 Commit Notification 2013-06-24 15:39:16 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ec6baba68aba6a66d161e545f0f7808f57ff011

Resolves: fdo#66042 get the bounds of the current grapheme



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.